org.apache.fop.complexscripts.bidi

## Class DelimitedTextRange

- java.lang.Object
- - org.apache.fop.complexscripts.bidi.DelimitedTextRange

-     public class DelimitedTextRange
      extends java.lang.Object

  The `DelimitedTextRange` class implements the "delimited text range" as described by XML-FO 1.1 §5.8, which contains a flattened sequence of characters. Any FO that generates block areas serves as a delimiter.

  This work was originally authored by Glenn Adams (gadams@apache.org).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelimitedTextRange(FONode fn)` Primary constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(char c, FONode fn)` Append interval using character C.
    `void` | `append(CharIterator it, FONode fn)` Append interval using characters from character iterator IT.
    `FONode` | `getNode()` Obtain node that generated this text range.
    `boolean` | `isEmpty()` Determine if range is empty.
    `void` | `resolve()` Resolve bidirectional levels for this range.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DelimitedTextRange

          public DelimitedTextRange(FONode fn)

      Primary constructor.
      Parameters:
        `fn` - node that generates this text range

  - ### Method Detail

    - #### getNode

          public FONode getNode()

      Obtain node that generated this text range.
      Returns:
        node that generated this text range

    - #### append

          public void append(CharIterator it,
                             FONode fn)

      Append interval using characters from character iterator IT.
      Parameters:
        `it` - character iterator
        `fn` - node that generates interval being appended

    - #### append

          public void append(char c,
                             FONode fn)

      Append interval using character C.
      Parameters:
        `c` - character
        `fn` - node that generates interval being appended

    - #### isEmpty

          public boolean isEmpty()

      Determine if range is empty.
      Returns:
        true if range is empty

    - #### resolve

          public void resolve()

      Resolve bidirectional levels for this range.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.